org.apache.lucene.luke.app

## Interface DirectoryObserver

- All Superinterfaces:
    Observer

      public interface DirectoryObserver
      extends Observer

  Directory open/close observer

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closeDirectory()`
    `void` | `openDirectory(LukeState state)`

- - ### Method Detail

    - #### openDirectory

          void openDirectory(LukeState state)

    - #### closeDirectory

          void closeDirectory()

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.